Subject: Re: bug#17724: 24.4.50; regression: error "`recenter'ing a window that does not display current-buffer." when opening org-mode file

From: Nicolas Richard <[email-masked]>
Date: Tue, 10 Jun 2014 10:09:21 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Nicolas Richard <[email-masked]>
>> Date: Mon, 09 Jun 2014 22:53:47 +0200
>> Cc: [email-masked], Gregor Zattler <[email-masked]>
>> 
>> FWIW, there was a call to recenter which was removed recently (less than
>> four weeks ago -- see
>> http://permalink.gmane.org/gmane.emacs.orgmode/86259) from org-overview.
>> I guess that should fix the reported bug but it's hard to tell without a
>> backtrace.
>
> I provided a full backtrace, C and Lisp, in my response.

Oh indeed, I should have read the whole thread.

Your backtrace confirms that it was a call from org-overview ; that was
fixed in the master branch of org mode in commit
736bc7b9047600a690a4c00c2a6510fff5044e1f. I don't know if the bug should
be closed in this siutation, so I'll leave it to someone else.

-- 
Nico.